Bug 1120434 - switch to using libpwquality instead of cracklib for password strength checks
Summary: switch to using libpwquality instead of cracklib for password strength checks
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general
Version: 0.17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 27.0
Assignee: Martin Styk 🤦‍♂️
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 22:53 UTC by Dan Callaghan
Modified: 2019-04-11 08:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-11 08:17:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Beaker Project Gerrit 6458 None None None 2019-03-06 09:26:38 UTC

Description Dan Callaghan 2014-07-16 22:53:18 UTC
Upstream status of cracklib is unclear, libpwquality is an actively maintained Red Hat project, and there seems to be a general push towards using it instead of cracklib directly.

https://fedorahosted.org/libpwquality/

We could also benefit from its password suggestion feature (not something Beaker offers currently).

Comment 2 Dan Callaghan 2017-12-20 05:23:55 UTC
https://gerrit.beaker-project.org/5953

Comment 3 Dan Callaghan 2017-12-20 22:30:08 UTC
Just noticed that libpwquality is not in RHEL6 (it's in EPEL6). So this can probably wait until Beaker is targetting RHEL7 only.


Note You need to log in before you can comment on or make changes to this bug.